Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Windows >> DynaZip Zip Archive Handling Buffer Overflow Vulnerabilities


Vulnerability Assessment Details

DynaZip Zip Archive Handling Buffer Overflow Vulnerabilities

Vulnerability Assessment Summary
Checks version of DynaZip's dzip32.dll / dzips32.dll

Detailed Explanation for this Vulnerability Assessment

Summary :

There is a library file installed on the remote Windows host that is
affected by several buffer overflow vulnerabilities.

Description :

The version of the DynaZip Max or DynaZip Max Secure installed on the
remote host contains a DLL that reportedly is prone to stack-based
overflows when repairing or updating a specially-crafted ZIP file.
Successful exploitation permits a possible hacker to execute arbitrary code
on the affected host subject to the user's rights.

Note that DynaZip libraries are included in some third-party
applications to provide support for handling ZIP files.

See also :

http://vuln.sg/dynazip5007-en.html
http://www.securityfocus.com/archive/1/441083/30/0/threaded

Solution :

Either upgrade to DynaZip Max 5.0.0.8 / DynaZip Max Secure 6.0.0.5 or
later or contact the appropriate vendor for a fix.

Network Security Threat Level:

High / CVSS Base Score : 8
(AV:R/AC:H/Au:NR/C:C/A:C/I:C/B:N)

Networks Security ID: 19143

Vulnerability Assessment Copyright: This script is Copyright (C) 2006-2007 Tenable Network Security

Cables, Connectors

SonicWall-TZ-215W-APL24-08F-Wireless-VPN-Network-Firewall-Security-Appliance So
$25.0
SonicWall-TZ-215W-APL24-08F-Wireless-VPN-Network-Firewall-Security-Appliance  So pictureiPolicy IPFW-6420-4GE 6420 2.4Gbps Intrusino Prevention Firewall *We Ship Fast*
$750.0
iPolicy IPFW-6420-4GE 6420 2.4Gbps Intrusino Prevention Firewall *We Ship Fast* pictureNetgear FVS336G v1 ProSafe dual WAN gigabit firewall SSL IPSEC VPN
$30.0
Netgear FVS336G v1 ProSafe dual WAN gigabit firewall SSL IPSEC VPN pictureMrtaki MX60 cloud managed firewall&
$0.75
Mrtaki MX60 cloud managed firewall& picture


Discussions

No Discussions have been posted on this vulnerability.